summary refs log tree commit diff
path: root/bin/Makefile
diff options
context:
space:
mode:
authorJune McEnroe <programble@gmail.com>2018-02-07 22:44:29 -0500
committerJune McEnroe <programble@gmail.com>2018-02-07 22:44:29 -0500
commit4af39dbb084633e4f000d04773642a3c03cf116b (patch)
tree0201a6e9bf6cdcab4eb2ea406d5f22ae9a6872ee /bin/Makefile
parentInclude stdio.h in gfb.c (diff)
downloadsrc-4af39dbb084633e4f000d04773642a3c03cf116b.tar.gz
src-4af39dbb084633e4f000d04773642a3c03cf116b.zip
Add janky X11 graphics frontend
Diffstat (limited to 'bin/Makefile')
-rw-r--r--bin/Makefile10
1 files changed, 7 insertions, 3 deletions
diff --git a/bin/Makefile b/bin/Makefile
index a6e734f9..5801ec74 100644
--- a/bin/Makefile
+++ b/bin/Makefile
@@ -2,7 +2,7 @@ ANY_BINS = atch dtch hnel pbcopy pbd pbpaste wake xx
 BSD_BINS = jrp klon typo watch
 MAC_BINS = gfxx-cocoa gfxx
 LIN_BINS = bri fbatt fbclock gfxx-fb gfxx
-ALL_BINS = $(ANY_BINS) $(BSD_BINS) $(MAC_BINS) $(LIN_BINS)
+ALL_BINS = $(ANY_BINS) $(BSD_BINS) $(MAC_BINS) $(LIN_BINS) gfxx-x11
 
 CFLAGS += -Wall -Wextra -Wpedantic
 LDLIBS = -lcurses -ledit -lutil -lz
@@ -24,9 +24,13 @@ gfxx-cocoa: gfxx.o gfcocoa.o
 gfxx-fb: gfxx.o gfb.o
 	$(CC) $(LDFLAGS) gfxx.o gfb.o $(LDLIBS) -o $@
 
+gfxx-x11: gfxx.o gfx11.o
+	$(CC) $(LDFLAGS) gfxx.o gfx11.o $(LDLIBS) -lX11 -o $@
+
 gfxx:
-	[ -f gfxx-cocoa ] && ln -s gfxx-cocoa gfxx || true
-	[ -f gfxx-fb ] && ln -s gfxx-fb gfxx || true
+	[ -f gfxx-fb ] && ln -s -f gfxx-fb gfxx || true
+	[ -f gfxx-x11 ] && ln -s -f gfxx-x11 gfxx || true
+	[ -f gfxx-cocoa ] && ln -s -f gfxx-cocoa gfxx || true
 
 pbcopy pbpaste: pbd
 	ln -f pbd $@